\resizebox{\columnwidth}{!}{%
    \begin{tikzpicture}[
        roundedrectangle/.style={draw, rounded corners, rectangle, minimum height=10pt, minimum width=20pt},
        invisible/.style={draw=none, fill=none},
        ]

        \node[invisible] (10) {};
        \node[roundedrectangle, minimum width=150pt] (11) [right=100pt of 10] {$w_x(1)$};
        \node[invisible] (12) [right=100pt of 11] {};

        \node[invisible] (20) [below=15pt of 10] {};
        \node[roundedrectangle, minimum width=50pt] (21) [right=25pt of 20] {\textcolor{blue}{$r/(0)$}};
        \node[roundedrectangle, minimum width=50pt] (22) [right=75pt of 21] {\textcolor{blue}{$r/(0)$}};
        \node[roundedrectangle, minimum width=50pt] (23) [right=75pt of 22] {\textcolor{red}{$r/(1)$}};
        \node[invisible] (24) [below=15pt of 12] {};

        \node[invisible] (30) [below=15pt of 20] {};
        \node[roundedrectangle, minimum width=50pt] (31) [right=125pt of 30] {\textcolor{red}{$r/(1)$}};
        \node[roundedrectangle, minimum width=50pt] (32) [right=40pt of 31] {\textcolor{blue}{$r/(0)$}};
        \node[invisible] (33) [below=15pt of 24] {};

        \draw (10) -- (11) -- (12);
        \draw (20) -- (21) -- (22) -- (23) -- (24);
        \draw (30) -- (31) -- (32) -- (33);
    \end{tikzpicture}
}